public class DoMatchingDetail
{
	public int matchingState;

	public int timeoutPeriod;

	public int retryPeriod;

	public string battleId;

	public string nodeServerUrl;

	public int finishLoadTask_MatchingState;

	public bool isEnableWinnerReward { get; private set; }

	public int winnerRewardGrade { get; private set; }

	public string winnerRewardMessage { get; private set; }

	public long GetBattleId()
	{
		if (string.IsNullOrEmpty(battleId))
		{
			return -1L;
		}
		return long.Parse(battleId);
	}

	public void SetWinnerRewardInfo(int grade, string message)
	{
		isEnableWinnerReward = true;
		winnerRewardMessage = message;
		winnerRewardGrade = grade;
	}

	public void ClearWinnerRewardInfo()
	{
		isEnableWinnerReward = false;
	}
}
